import React from 'react';
import store from '../redux/Store';
import { lightTheme } from '@jupyter-react/light-theme';
import { PageConfig } from '@jupyterlab/coreutils';
import { JupyterContextProvider } from './JupyterContext';
import { ThemeProvider } from '@material-ui/core/styles';
export const Jupyter = (props) => {
    const collaborative = props.collaborative || false;
    PageConfig.setOption('collaborative', String(collaborative));
    const serverBaseUrl = props.serverBaseUrl || 'http://localhost:8080/api/jupyterpool';
    PageConfig.setOption('baseUrl', serverBaseUrl);
    const terminalsAvailable = props.terminals || false;
    PageConfig.setOption('terminalsAvailable', String(terminalsAvailable));
    const wsBaseUrl = serverBaseUrl.replace('http', 'ws');
    PageConfig.setOption('wsUrl', wsBaseUrl);
    PageConfig.setOption('token', props.token);
    return (React.createElement(ThemeProvider, { theme: props.theme || lightTheme },
        React.createElement(JupyterContextProvider, { initialJupyter: "lightblue", store: store }, props.children)));
};
//# sourceMappingURL=Jupyter.js.map