import React, { useState, useEffect, useContext, createContext } from "react";
import { Provider as ReduxProvider } from "react-redux";
const jupyterContext = createContext(undefined);
export function useJupyter() {
    const c = useContext(jupyterContext);
    if (!c)
        throw new Error("useCtx must be inside a Provider with a value");
    return c;
}
export const JupyterContextConsumer = jupyterContext.Consumer;
const JupyterProvider = jupyterContext.Provider;
export const JupyterContextProvider = ({ children, initialJupyter, store }) => {
    const [jupyter, setJupyter] = useState("");
    useEffect(() => {
        // Already set... maybe get it from an API?
        setJupyter(initialJupyter);
    }, [initialJupyter]);
    return React.createElement(ReduxProvider, { store: store },
        React.createElement(JupyterProvider, { value: { jupyter, setJupyter, store } }, children));
};
//# sourceMappingURL=JupyterContext.js.map