import { applyMiddleware, createStore, combineReducers } from "redux";
import { createEpicMiddleware } from "redux-observable";
import { BehaviorSubject } from 'rxjs';
import { mergeMap } from 'rxjs/operators';
import { initReducers, initEpics } from "../widgets/init/InitRedux";
const epicMiddleware = createEpicMiddleware();
function createReducer(asyncReducers) {
    return combineReducers(Object.assign(Object.assign({}, initReducers), asyncReducers));
}
function createInjectableStore() {
    const store = createStore(createReducer({}), applyMiddleware(epicMiddleware));
    store.asyncReducers = {};
    store.injectReducer = (key, asyncReducer) => {
        store.asyncReducers[key] = asyncReducer;
        store.replaceReducer(createReducer(store.asyncReducers));
    };
    store.injectEpic = (epic) => {
        epicMiddleware.run(epic);
    };
    return store;
}
const store = createInjectableStore();
export const epic$ = new BehaviorSubject(initEpics);
const rootEpic = (action$, state$, deps) => epic$.pipe(mergeMap(epic => epic(action$, state$, deps)));
epicMiddleware.run(rootEpic);
export default store;
//# sourceMappingURL=Store.js.map