import React from "react";
import { useDispatch } from "react-redux";
import Typography from '@material-ui/core/Typography';
import Button from '@material-ui/core/Button';
import { selectCell, cellActions } from './CellRedux';
const CellControl = () => {
    const cell = selectCell();
    const dispatch = useDispatch();
    return (React.createElement(React.Fragment, null,
        React.createElement(Typography, { variant: "h5", gutterBottom: true }, "Cell Control"),
        React.createElement("div", null,
            React.createElement(Button, { variant: "contained", color: "primary", onClick: () => dispatch(cellActions.execute.started()) }, "Execute"),
            React.createElement(Button, { variant: "contained", color: "secondary", onClick: () => dispatch(cellActions.outputs.started(0)) }, "Reset Outputs")),
        React.createElement(Typography, { variant: "subtitle1", gutterBottom: true },
            "Cell outputs: ",
            cell.outputs)));
};
export default CellControl;
//# sourceMappingURL=CellControl.js.map