import React from "react";
import { useDispatch } from "react-redux";
import Button from '@material-ui/core/Button';
import Typography from '@material-ui/core/Typography';
import { selectCells, cellsActions } from './CellsRedux';
const CellsControl = () => {
    const notebook = selectCells();
    const dispatch = useDispatch();
    return (React.createElement(React.Fragment, null,
        React.createElement(Typography, { variant: "h5", gutterBottom: true }, "Cells Control"),
        React.createElement("div", null,
            React.createElement(Button, { variant: "contained", color: "primary", onClick: () => dispatch(cellsActions.execute.started()) }, "Execute"),
            React.createElement(Button, { variant: "contained", color: "secondary", onClick: () => dispatch(cellsActions.outputs.started(0)) }, "Reset Outputs")),
        React.createElement(Typography, { variant: "subtitle1", gutterBottom: true },
            "Cells: ",
            notebook.outputs)));
};
export default CellsControl;
//# sourceMappingURL=CellsControl.js.map