import React from "react";
import { useDispatch } from "react-redux";
import Button from '@material-ui/core/Button';
import Typography from '@material-ui/core/Typography';
import { selectSettings, settingsActions } from './SettingsRedux';
const SettingsControl = () => {
    const settings = selectSettings();
    const dispatch = useDispatch();
    return (React.createElement(React.Fragment, null,
        React.createElement(Typography, { variant: "h5", gutterBottom: true }, "Settings Control"),
        React.createElement("div", null,
            React.createElement(Button, { variant: "contained", color: "primary", onClick: () => dispatch(settingsActions.execute.started()) }, "Execute"),
            React.createElement(Button, { variant: "contained", color: "secondary", onClick: () => dispatch(settingsActions.outputs.started(0)) }, "Reset Outputs")),
        React.createElement(Typography, { variant: "subtitle1", gutterBottom: true },
            "Settings: ",
            settings.outputs)));
};
export default SettingsControl;
//# sourceMappingURL=SettingsControl.js.map