import React from 'react';
import FormGroup from '@material-ui/core/FormGroup';
import { useDispatch } from "react-redux";
import Switch from '@material-ui/core/Switch';
import Typography from '@material-ui/core/Typography';
import FormControlLabel from '@material-ui/core/FormControlLabel';
import { terminalActions } from './TerminalRedux';
const TerminalControl = () => {
    const dispatch = useDispatch();
    const [state, setState] = React.useState({
        dark: false,
    });
    const handleChange = (event) => {
        dispatch(terminalActions.dark.started(event.target.checked));
        setState(Object.assign(Object.assign({}, state), { [event.target.name]: event.target.checked }));
    };
    return (React.createElement(React.Fragment, null,
        React.createElement(Typography, { variant: "h5", gutterBottom: true }, "Terminal Control"),
        React.createElement(FormGroup, { row: true },
            React.createElement(FormControlLabel, { control: React.createElement(Switch, { checked: state.dark, onChange: handleChange, name: "dark" }), label: "Dark" }))));
};
export default TerminalControl;
//# sourceMappingURL=TerminalControl.js.map