import React from "react";
import { useDispatch } from "react-redux";
import Button from '@material-ui/core/Button';
import Typography from '@material-ui/core/Typography';
import { selectTerminals, terminalsActions } from './TerminalsRedux';
const TerminalsControl = () => {
    const terminals = selectTerminals();
    const dispatch = useDispatch();
    return (React.createElement(React.Fragment, null,
        React.createElement(Typography, { variant: "h5", gutterBottom: true }, "Terminals Control"),
        React.createElement("div", null,
            React.createElement(Button, { variant: "contained", color: "primary", onClick: () => dispatch(terminalsActions.execute.started()) }, "Execute"),
            React.createElement(Button, { variant: "contained", color: "secondary", onClick: () => dispatch(terminalsActions.outputs.started(0)) }, "Reset Outputs")),
        React.createElement(Typography, { variant: "subtitle1", gutterBottom: true },
            "Terminals: ",
            terminals.outputs)));
};
export default TerminalsControl;
//# sourceMappingURL=TerminalsControl.js.map