import { DockPanel } from '@lumino/widgets';
import { TerminalManager } from '@jupyterlab/services';
import { Terminal } from '@jupyterlab/terminal';
class TerminalsLumino {
    constructor() {
        this.settingsPanel = new DockPanel();
        this.settingsPanel.id = 'dla-jlab-settings';
        this.settingsPanel.spacing = 0;
        const manager = new TerminalManager();
        manager.startNew().then((s1) => {
            const term1 = new Terminal(s1, { theme: 'light' });
            term1.title.closable = true;
            this.settingsPanel.addWidget(term1);
            manager.startNew().then((s2) => {
                const term2 = new Terminal(s2, { theme: 'dark' });
                term2.title.closable = true;
                this.settingsPanel.addWidget(term2, { mode: 'tab-before' });
            });
        });
    }
    get panel() {
        return this.settingsPanel;
    }
}
export default TerminalsLumino;
//# sourceMappingURL=TerminalsLumino.js.map